import type { Message, PubSubRPCMessage } from '@libp2p/interfaces/pubsub';
/**
 * Generate a random sequence number
 */
export declare function randomSeqno(): BigInt;
/**
 * Generate a message id, based on the `key` and `seqno`
 */
export declare const msgId: (key: Uint8Array, seqno: BigInt) => Uint8Array;
/**
 * Generate a message id, based on message `data`
 */
export declare const noSignMsgId: (data: Uint8Array) => import("multiformats/hashes/hasher").Await<Uint8Array>;
/**
 * Check if any member of the first set is also a member
 * of the second set
 */
export declare const anyMatch: (a: Set<number> | number[], b: Set<number> | number[]) => boolean;
/**
 * Make everything an array
 */
export declare const ensureArray: <T>(maybeArray: T | T[]) => T[];
export declare const toMessage: (message: PubSubRPCMessage) => Message;
export declare const toRpcMessage: (message: Message) => PubSubRPCMessage;
//# sourceMappingURL=utils.d.ts.map